<?php
/**
 * login.php
 * Code by Strangecode :: www.strangecode.com :: This document contains copyrighted information
 */

// We may want to use the add/edit interface from another script, so this
// allows us to remember which page we came from so we can go back there.
if (getFormData('boomerang', false) && isset($_SERVER['HTTP_REFERER'])) {
    App::setBoomerangURL($_SERVER['HTTP_REFERER'], 'login');
}
App::sslOn();

$frm['username'] = getFormdata('username');
$frm['password'] = getFormdata('password');

if (getFormdata('username', false)) {
    /* form has been submitted, check if the user login information is correct */

    if ($auth->login($frm['username'], $frm['password'])) {
        App::raiseMsg(_("You are now logged in."), MSG_SUCCESS, __FILE__, __LINE__);
        App::dieBoomerangURL('login');
        App::logMsg(sprintf('%s %s successfully logged-in.', $auth->getVal('auth_name'), $frm['username']), LOG_INFO, __FILE__, __LINE__);
    } else {
        App::raiseMsg(_("Login failed, please try again."), MSG_NOTICE, __FILE__, __LINE__);
        App::logMsg(sprintf('%s %s failed login using (MD5ed) password: %s', ucfirst($auth->getVal('auth_name')), $frm['username'], md5($frm['password'])), LOG_NOTICE, __FILE__, __LINE__);
    }
}

// Titles and navigation header.
$nav->addPage(_("Login"));

// Templates.
include 'header.ihtml';
include 'codebase/services/templates/login_form.ihtml';
include 'footer.ihtml';

?>
